Loading...
Searching...
No Matches
AVOpenCLFrameDescriptor Struct Reference

OpenCL frame descriptor for pool allocation. More...

`#include <libavutil/hwcontext_opencl.h>`

## Data Fields

int | nb_planes
| Number of planes in the frame.
cl_mem | planes [AV_NUM_DATA_POINTERS]
| OpenCL image2d objects for each plane of the frame.

## Detailed Description

OpenCL frame descriptor for pool allocation.

In user-allocated pools, AVHWFramesContext.pool must return AVBufferRefs with the data pointer pointing at an object of this type describing the planes of the frame.

Definition at line 47 of file hwcontext_opencl.h.

## Field Documentation

## nb_planes

int AVOpenCLFrameDescriptor::nb_planes

Number of planes in the frame.

Definition at line 51 of file hwcontext_opencl.h.

## planes

cl_mem AVOpenCLFrameDescriptor::planes[AV_NUM_DATA_POINTERS]

OpenCL image2d objects for each plane of the frame.

Definition at line 55 of file hwcontext_opencl.h.

The documentation for this struct was generated from the following file:

- libavutil/hwcontext_opencl.h